CPROT is a simple utility for use in debugging programs such as 
operating system modules and type 3 Z system utilties which must be 
protected from overlay by a debugger.  CPROT creates "protected" 
memory above a specified address by creating a double jump to CP/M DOS 
starting with the DOS jump at 05h.  The jump vector at 06h addresses a 
jump to DOS at a user specified address.  CPROT makes several checks 
to prevent overwriting op sys or itself.  Source included. 